package com.ruoyi.ss.storeApply.domain;

import com.ruoyi.ss.store.domain.Store;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 店铺审核对象 ss_store_apply
 *
 * @author ruoyi
 * @date 2024-08-03
 */
@Data
public class StoreApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("${comment}")
    private Long id;

    @Excel(name = "审核类型")
    @ApiModelProperty("审核类型")
    private String applyType;

    @Excel(name = "审核状态")
    @ApiModelProperty("审核状态")
    private String status;

    @Excel(name = "店铺id")
    @ApiModelProperty("店铺id")
    private Long storeId;

    @Excel(name = "提交人id")
    @ApiModelProperty("提交人id")
    private Long userId;

    @Excel(name = "审核人id")
    @ApiModelProperty("审核人id")
    private Long verifyId;

    @Excel(name = "审核时间")
    @ApiModelProperty("审核时间")
    private Long verifyTime;

    @Excel(name = "审核意见")
    @ApiModelProperty("审核意见")
    private String verifyRemark;

    @Excel(name = "旧数据json")
    @ApiModelProperty("旧数据json")
    private Store oldData;

    @Excel(name = "新数据json")
    @ApiModelProperty("新数据json")
    private Store newData;

}
